Search Support

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Firefox V 41 keeps updating to a newer version and I have auto update disabled

  • 7 uphendule
  • 2 zinale nkinga
  • 29 views
  • Igcine ukuphendulwa ngu the-edmeister

more options

For several reasons, mostly add-on compatibility, I need to use V41 I have gone to the Options area and then to Advanced and have checked "Never check for updates " so it should NOT automatically update itself. However, it IS updating itself to V43 - and of course some of my Add-ons are not compatible.

Am I missing something??

Any help would be appreciated.

All Replies (7)

more options

So you're running into an issue where you install an outdated version of firefox and the thing updates SO FAST that you're unable to open into the gui to prevent it from updating? Yeah, me too. This is how you fix it.

1. Uninstall firefox 2. Go to this folder: %APPDATA%\Mozilla\Firefox\Profiles\ 3. Open up a text editor (notepad or notepad++) 4. Add the following into the text file named "user.js" (if user.js doesn't exist, then create a new file) // turn off application updates: user_pref("app.update.enabled", false); 5. save user.js in %APPDATA%\Mozilla\Firefox\Profiles\ 6. install your older version of firefox. 7. be happy because it's not longer updating instantly.

Okulungisiwe ngu teedeedubya

more options

"Never check for updates" has always worked for me, but your "problem" might be due to the MMS feature. I always make sure it is disabled when doing a custom installation using the full, off-line installer. The "stub" installer doesn't offer the option to not have MMS. https://support.mozilla.org/en-US/kb/what-mozilla-maintenance-service

Full, off-line installers are available here: https://www.mozilla.org/en-US/firefox/all/

more options

Which add-on(s) stopped working after Firefox 41?

By the way, there is a new version of Print pages to PDF available from here:

http://printpagestopdf.hol.es/index.php/en/help.html

more options

Thank you for the quick replies.

1 - To teedeedubya, I was not able to find user.js in my profile folder so I created it. I'll see if this fix works.

2 - To jscher2000, Thanks for the tip on Print Pages To PDF. Most all of my current Add-ons don't do well in V 43. LastPass, and several others. So far I have to stick with V41

3 - To the-edmeister Do you know where I can find V41 Full Offline Installer. And just a bit more info on MMS - I'm not sure I follow.

Thanks everyone - I appreciate the help!

more options

All release versions: https://ftp.mozilla.org/pub/firefox/releases/ Fx 41 Win32 en-US: https://ftp.mozilla.org/pub/firefox/releases/41.0/win32/en-US/ Firefox Setup 41.0.exe 40M 14-Oct-2015 14:31 the online installer Stub is only 237K

The Mozilla Maintenance Service can 'push' an update even when the "app.update.enabled" pref is disabled by "user" code or via "Never check for updates". I have been caught by MMS a few times when I accidentally left it enabled and opened the Firefox version where it was enabled. With my previous PC I had like 40+ versions of Firefox installed (each with its own Profile), every version from Firefox 2.0.0.28 up thru Firefox 37 when I built a new PC in May 2015 and stopped using the older PC that I built in 2008.

As I mentioned, by doing a "Custom" install of Firefox there is an option to not have the MMS enabled, and there's a method of disabling when it is installed. I don't recall the procedure to disable and since it's gone from all my Firefox installations I can't fiddle with it to try to recall the procedure. There are two files in Firefox Program Files folder that I delete to get rid of MMS. maintenanceservice.exe and maintenanceservice_installer.exe

more options

To the-edmeister:

Wonderful. I deleted those files and we'll see if any updates are pushed.

Thanks, I'll reply one more time with a final yes or no.

more options

That may take awhile. Mozilla doesn't constantly "push" updates via the MMS. But if those two files are removed, there's no way that MMS can be used. Just make sure that app.update.enabled is disabled in about:config or you have a proper, working user.js with the correct preference. And be aware that user.js stops being "read" at the first error or incorrect pref; anything wrong or deprecated, and beyond won't be used in the prefs.js file.